FTS doesn't index paths correctly

Bug #860362 reported by Michal Hruby on 2011-09-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Zeitgeist Extensions
High
Michal Hruby
zeitgeist-extensions (Ubuntu)
High
Unassigned

Bug Description

There's a bug in scheme branching in fts (~line 610) which cause file:// uris to truncate and index the same way as http and other uris.

For reference this is the diff. I am not gonna apply it as is, as it'll require a reindex in order to take effect:

=== modified file 'fts/fts.py'
--- fts/fts.py 2011-09-07 08:42:40 +0000
+++ fts/fts.py 2011-09-27 08:15:08 +0000
@@ -607,7 +607,7 @@
   # usually web URIs, are indexed in another way because there may
   # be domain name etc. in there we want to rank differently
   scheme, host, path = self._split_uri (url_unescape (uri))
- if scheme == "file://" or not scheme:
+ if scheme == "file" or not scheme:
    path, name = os.path.split(path)
    self._tokenizer.index_text(name, 5)
    self._tokenizer.index_text(name, 5, "N")
@@ -619,7 +619,7 @@
     path, name = os.path.split(path)
     self._tokenizer.index_text(name, weight)

- elif scheme == "mailto:":
+ elif scheme == "mailto":
    tokens = host.split("@")
    name = tokens[0]
    self._tokenizer.index_text(name, 6)

Changed in zeitgeist-extensions:
importance: Undecided → High
status: New → Triaged
Changed in zeitgeist-extensions:
assignee: nobody → Michal Hruby (mhr3)
Didier Roche (didrocks) on 2011-09-30
Changed in zeitgeist-extensions (Ubuntu):
status: New → Triaged
importance: Undecided → High
Michal Hruby (mhr3) on 2011-10-03
Changed in zeitgeist-extensions:
milestone: none → fts-0.0.13
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zeitgeist-extensions - 0.0.13-0ubuntu1

---------------
zeitgeist-extensions (0.0.13-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - zeitgeist-daemon crashed with RuntimeError in _check_index():
      basic_string::assign (LP: #839740)
    - FTS doesn't index paths correctly (LP: #860362)
    - Add version metadata to FTS index (LP: #862333)
 -- Didier Roche <email address hidden> Mon, 03 Oct 2011 10:00:21 +0200

Changed in zeitgeist-extensions (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers